summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Heinz Wiesinger <HMWiesinger@gmx.at>2010-05-11 20:00:57 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:57 +0200
commitadbbbd91c43cc0770954976cb35d0c31819e3095 (patch)
tree1105269512ca8bceb8a5383d9bcd7ceabbae4274 /libraries
parentce8c80c4ab50fe54883f424cfbb9fa0eaadae9f5 (diff)
downloadslackbuilds-adbbbd91c43cc0770954976cb35d0c31819e3095.tar.gz
slackbuilds-adbbbd91c43cc0770954976cb35d0c31819e3095.tar.xz
libraries/libwpg: Added to 12.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libwpg/README1
-rw-r--r--libraries/libwpg/libwpg.SlackBuild73
-rw-r--r--libraries/libwpg/libwpg.info8
-rw-r--r--libraries/libwpg/slack-desc19
4 files changed, 101 insertions, 0 deletions
diff --git a/libraries/libwpg/README b/libraries/libwpg/README
new file mode 100644
index 0000000000..ea60ab54a6
--- /dev/null
+++ b/libraries/libwpg/README
@@ -0,0 +1 @@
+libwpg is a library for reading and converting WPG images \ No newline at end of file
diff --git a/libraries/libwpg/libwpg.SlackBuild b/libraries/libwpg/libwpg.SlackBuild
new file mode 100644
index 0000000000..fa28529efe
--- /dev/null
+++ b/libraries/libwpg/libwpg.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for libwpg
+
+# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libwpg
+VERSION=0.1.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static
+
+make
+make install-strip DESTDIR=$PKG
+
+mv $PKG/usr/share/doc $PKG/usr
+cp -a AUTHORS ChangeLog COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -rf $PKG/usr/share
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libwpg/libwpg.info b/libraries/libwpg/libwpg.info
new file mode 100644
index 0000000000..8f0a9ebd35
--- /dev/null
+++ b/libraries/libwpg/libwpg.info
@@ -0,0 +1,8 @@
+PRGNAM="libwpg"
+VERSION="0.1.2"
+HOMEPAGE="http://libwpg.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/libwpg/libwpg-0.1.2.tar.gz"
+MD5SUM="317cee27f380c394c6e4eec02d45cab8"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="rworkman"
diff --git a/libraries/libwpg/slack-desc b/libraries/libwpg/slack-desc
new file mode 100644
index 0000000000..ed6f600c1a
--- /dev/null
+++ b/libraries/libwpg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+libwpg: libwpg (WPG-image reading/converting library)
+libwpg:
+libwpg: libwpg is a library for reading and converting WPG images
+libwpg:
+libwpg: Homepage: http://libwpg.sourceforge.net/
+libwpg:
+libwpg:
+libwpg:
+libwpg:
+libwpg:
+libwpg: